part of 'notification_bloc.dart';

sealed class NotificationEvent extends Equatable {
  const NotificationEvent();
}

final class GetNotificationsEvent extends NotificationEvent {
  const GetNotificationsEvent();

  @override
  List<Object?> get props => [];
}

final class NotificationPaginationEvent extends NotificationEvent {
  const NotificationPaginationEvent({required this.page});

  final int page;

  @override
  List<Object?> get props => [page];
}

final class ReadNotificationsEvent extends NotificationEvent {
  final List<Notifications> notifications;

  const ReadNotificationsEvent({required this.notifications});

  @override
  List<Object?> get props => [notifications];
}
